<?php

/***************************************************************************/

define("SQLITE_DATABASE",  'sqlite:./database/sortimentdb.sqlite');
define("DATASHEET_PATH",    "http://fablab.fsg-preetz.de/downloads/sortiment/");
define("VERSION",     "v01");
// NOTICE: the script should be called sortiment_VERSION.zip. 
// Here VERSION is the current version number.

/***************************************************************************/


/**
 * function displayTable
 * @param $tablename the name of the table to display
 * 
 * 
 */
 
function displayTable($tablename){
	
$db = new PDO(SQLITE_DATABASE);


 /*
  *  get columnnames 
  */

 $result = $db->query('select * from '.$tablename.' limit 1');
 $cols = $result->columnCount();
 $fields = array_keys($result->fetch(PDO::FETCH_ASSOC));
 /* fields contains all the name of the columns */



 // output (skip primary key) 
 echo '<table id="tablesorter-demo" class="tablesorter" border="0" cellpadding="0" cellspacing="1"><thead><tr>';
 
 for ($i = 1; $i < $cols; $i++){
	 
	 if (0 === strpos($fields[$i], 'link_')) {
     // skip link_detail and link_order in column names also!!!
     }else {
             echo '<th>'.$fields[$i].'</th>';
      }
}
echo "</tr></thead>";


 /*
  *  get table content
  */

    $sql = 'SELECT * FROM '.$tablename;
    $stmt = $db->prepare($sql);
    $stmt->execute();
    $result = $stmt->fetchAll();
    /* result contains all the content */
   


 // output 
    
 echo '<tbody>';
 
  foreach($result as $row){
	  
	  echo '<tr>';	  
	  for ($i = 1; $i < $cols; $i++){		
		
		$value = $fields[$i];
		switch ($value) {
			case "Fach":
		
				if($row['link_detail'] != ''){// create a link
					 echo '<td>'.'<a href="'.$row['link_detail'].'">'.$row[$fields[$i]].'</a></td>';
				} else{   // output without a link
					 echo '<td>'.$row[$fields[$i]].'</td>';
				}		
			
				break;
			case "link_detail":
				// do nothing here skip the row!!!
				break;
			case "Datenblatt":
			
				if($row['Datenblatt'] != ''){// create a link					
					 echo '<td>'.'<a href="'.DATASHEET_PATH.'/'.$row['Datenblatt'].'">Datenblatt</a></td>';
			
			
			    }else{ // output without a link
					 echo '<td>'.$row[$fields[$i]].'</td>';
				}
				break;
			case "Lieferant":
			  				 
				if($row['Lieferant'] != ''){	
					if($row['link_order'] != ''){
						echo '<td>'.'<a href="'.$row['link_order'].'">'.$row['Lieferant'].'</a></td>'; 
						}
					else{
						 echo '<td>'.$row['Lieferant'].'</td>';;
					}	
			  }else{
				  if($row['link_order'] != ''){
					  echo '<td>'.'<a href="'.$row['link_order'].'">Link</a></td>';
				  }
			      else{
					  echo '<td></td>';
				  }
			   }						
					
				break;	
			case "link_order":			
					// do nothing here skip the row!!!
				break;
			default:
				echo '<td>'.$row[$fields[$i]].'</td>';
		} // end switch			
	} // end for
	
	echo '</tr>';
  } // end foreach
 echo '</tbody></table>';
 
 
$db = null;
}



/**
 * 
 * 
 * 
 */

function displayTableHeader($title){
	
echo '<div id="content" role="main">';
echo '<div id="breadcrumb">';
echo '<h2 class="nav">'.$title.'</h2>';
echo '</div>';
echo '<div id="demo">';

}



/*
 * 
 * 
 * 
 * 
 * 
 */
function displayTableFooter(){
	echo '</div>';
}
?>
